-- Call a global function.
print(Bindings.BoundFunction("This is my string"))

-- Call variable setters.
Bindings.GlobalIntVariable(4321)
Bindings.NamespaceIntVariable(5432)
-- Call variable getters.
print("Bindings.GlobalIntVariable() = ", Bindings.GlobalIntVariable())
print("Bindings.NamespaceIntVariable() = ", Bindings.NamespaceIntVariable())

-- Instanciate an object or class.
local a = Class1(1234)
-- Call member functions.
print("a:GetMember() = ", a:GetMember())
a:SetMember(4321)
print("a:GetMember() = ", a:GetMember())
-- Call member variable setter.
a:PublicDataMember(5678)
-- Call member variable getter.
print("a:PublicDataMember() = ", a:PublicDataMember())

-- Print enum value.
print("EnumType.enumMember234 = ", EnumType.enumMember234);
print("EnumType.enumMemberNext = ", EnumType.enumMemberNext);
