function doit(arg)
	local c = 1234
	print("The doit arg:", arg)
	local a = Class1(1234)
	print("a:GetMember() = ", a:GetMember())
	a:SetMember(4321)
	print("a:GetMember() = ", a:GetMember())
end

function outer(arg)
	local v = 1234
	print("The doit outer:", arg)
	doit(arg)
end

outer("ABCD")

local b = Class1(12345, 123)
print("b:GetMember() = ", b:GetMember())
b:SetMember(54321)
print("b:GetMember() = ", b:GetMember())

local c = Class1()
print("c:GetMember() = ", c:GetMember())
c:SetMember(54321)
print("c:GetMember() = ", c:GetMember())
print("c:GetString() = ", c:GetString())

local d = Class2(1.234)
print("d:GetMember() = ", d:GetMember())
print("Calling d:SetMember(54321)");
d:SetMember(54321)
print("d:GetMember() = ", d:GetMember())
print("d:GetString() = ", d:GetString())
print("d:GetFloat() = ", d:GetFloat())
print("d:OverloadedFunction(12, 'Overload 1') = ", d:OverloadedFunction(12, "Overload 1"))
print("d:OverloadedFunction('Overload 2', 34) = ", d:OverloadedFunction("Overload 2", 34))
--print("Function Mismatch: d:GetMember(1)")
--print("d:GetMember(1) = ", d:GetMember(1))

local f = d:ReturnThis();
print("f:GetMember() = ", f:GetMember())
print("Calling d:SetMember(54321)");
d:SetMember(54321)
print("d:GetMember() = ", d:GetMember())
print("f:GetMember() = ", f:GetMember())
print("Calling f:Orphan");
f:Orphan()
print("d:GetMember() = ", d:GetMember())

local g = StructType();
print("g:member() = ", g:member());
print("Calling g:member(12).");
g:member(12)
print("g:member() = ", g:member());

local h = Class3()
print("h:IntMember() = ", h:IntMember());
print("Calling h:IntMember(12).");
h:IntMember(12)
print("h:IntMember() = ", h:IntMember());

print("h:FloatMember() = ", h:FloatMember());
print("Calling h:FloatMember(12.34).");
h:FloatMember(12.34)
print("h:FloatMember() = ", h:FloatMember());

print("h:DoubleMember() = ", h:DoubleMember());
print("Calling h:DoubleMember(12.34567).");
h:DoubleMember(12.34567)
print("h:DoubleMember() = ", h:DoubleMember());

print("h:StringMember() = ", h:StringMember());
print("Calling h:StringMember('Hello').");
h:StringMember("Hello")
print("h:StringMember() = ", h:StringMember());

print("h:StructMember() = ", h:StructMember());
print("Calling h:StructMember(g).");
h:StructMember(g)
print("h:StructMember() = ", h:StructMember());

print("Calling h:StructMember():member(32)");
h:StructMember():member(32)
print("h:StructMember():member() = ", h:StructMember():member());

print("Bindings.GlobalIntVariable() = ", Bindings.GlobalIntVariable());
print("Calling Bindings.GlobalIntVariable(876).");
Bindings.GlobalIntVariable(876)
print("Bindings.GlobalIntVariable() = ", Bindings.GlobalIntVariable());

print("Bindings.NamespaceIntVariable() = ", Bindings.NamespaceIntVariable());
print("Calling Bindings.NamespaceIntVariable(9876).");
Bindings.NamespaceIntVariable(9876)
print("Bindings.NamespaceIntVariable() = ", Bindings.NamespaceIntVariable());
